%define name	ladcca
%define version 0.4.0
%define release %mkrel 6

%define major 	2
%define libname %mklibname %name %major

Name: 		%{name}
Summary: 	Session management system for JACK and ALSA audio applications
Version: 	%{version}
Release: 	%{release}

Source:		http://lash-audio-session-handler.org/download/%{name}-%{version}.tar.bz2
Patch0:		ladcca-0.4.0-depreciated_jackAPI.patch
URL:		http://lash-audio-session-handler.org/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	tetex pkgconfig jackit-devel libalsa-devel libgtk+2.0-devel
BuildRequires: 	libext2fs-devel texi2html libxml2-devel readline-devel termcap-devel

%description
This is a daemon, a client library and a some clients that implement a session
management system for audio applications on GNU/Linux.

In different consoles, run ladcca_gtk_client and ladcca_synth.  Make
some jack and aseq connections to the synth using aconnect and jack_connect.
Add some configs and open a file in ladcca_gtk_client.  Then click on save
in ladcca_gtk_client.  Now close both the clients (just ^C the synth.)  Now
run ladcca_control and type "restore /home/<user>/audio-projects/project-1". 
The synth and gtk client should restart, and the synth's connections should
be restored.  Phat.

%package -n %{libname}
Summary: Main library for %name
Group: System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %name.

%package -n %{libname}-devel
Summary: Headers for developing programs that will use %name
Group: Development/C++
Requires: %{libname} = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use libraries from %name.

%prep
%setup -q
%patch -p1

%build
%configure2_5x --disable-serv-inst
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f docs/Make*

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="ladcca_gtk_client" icon="sound_section.png" needs="x11" title="LADCCA GUI" longtitle="Jack/ALSA Session Manager" section="Multimedia/Sound" xdg="true"
?package(%{name}): command="ladcca_synth" icon="sound_section.png" needs="x11" title="LADCCA Synth" longtitle="Simple Synthesizer" section="Multimedia/Sound" xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-gtk.desktop << EOF
[Desktop Entry]
Name=LADCCA GUI
Comment=Jack/ALSA Session Manager
Exec=%{_bindir}/%{name}_gtk_client
Icon=sound_section.png
Terminal=false
Type=Application
Categories=GTK;X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio;
Encoding=UTF-8
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-synth.desktop << EOF
[Desktop Entry]
Name=LADCCA Synth
Comment=Simple Synthesizer
Exec=%{_bindir}/%{name}_synth
Icon=sound_section.png
Terminal=false
Type=Application
Categories=GTK;X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio;
Encoding=UTF-8
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
%_install_info %{name}.info
if ! grep -q ^ladcca /etc/services; then echo -e "\nladcca\t\t14541/tcp\t\t\t# LADCCA client/server protocol" >> /etc/services; fi

%postun
%clean_menus
%_remove_install_info %{name}.info

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README docs/* NEWS TODO
%{_bindir}/*
%{_menudir}/%name
%{_infodir}/%{name}*
%{_datadir}/%{name}
%{_datadir}/applications/mandriva-%{name}-gtk.desktop
%{_datadir}/applications/mandriva-%{name}-synth.desktop

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/ladcca*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc



%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.4.0-6mdv2008.1
+ Revision: 136535
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import ladcca


* Sun Sep 3 2006 Emmanuel Andry <eandry@mandriva.org> 0.4.0-6mdv2007.0
- fix xdg menu

* Sun Sep 3 2006 Emmanuel Andry <eandry@mandriva.org> 0.4.0-5mdv2007.0
- forgot xdg tag

* Sun Sep 3 2006 Emmanuel Andry <eandry@mandriva.org> 0.4.0-4mdv2007.0
- xdg menu
- add patch from gentoo to depreciate jack_set_server_dir(

* Sun Feb 6 2005 Austin Acton <austin@mandrake.org> 0.4.0-3mdk
- rebuild for readline

* Wed Dec 29 2004 Austin Acton <austin@mandrake.org> 0.4.0-2mdk
- new URL
- source URL
- configure 2.5

* Sun Oct 26 2003 Austin Acton <aacton@yorku.ca> 0.4.0-1mdk
- 0.4.0
- major 2
- fix menu entry
- services entry
- update buildrequires

* Fri Oct 17 2003 Austin Acton <aacton@yorku.ca> 0.3.2-1mdk
- 0.3.2
- fix default directory (thanks Ketil Thorgersen <linuxuadio@rytmisk.net>)

* Tue Jul 15 2003 Austin Acton <aacton@yorku.ca> 0.3.1-3mdk
- DIRM

* Mon Jul 14 2003 Austin Acton <aacton@yorku.ca> 0.3.1-2mdk
- rebuild for rpm

* Thu May 22 2003 Austin Acton <aacton@yorku.ca> 0.3.1-1mdk
- 0.3.1
- libname does not provide name

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 0.3.0-2mdk
- buildrequires libext2fs-devel
- mklibname

* Wed Feb 19 2003 Austin Acton <aacton@yorku.ca> 0.3.0-1mdk
- 0.3.0

* Sun Feb 2 2003 Austin Acton <aacton@yorku.ca> 0.2-1mdk
- initial package
